---
title: "Retrieve replacement tokens from a lab instance"
slug: "retrieve-replacement-tokens-from-a-lab-instance-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
canonical: "docs.skillable.com/retrieve-replacement-tokens-from-a-lab-instance-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve replacement tokens from a lab instance

Get/replacementtokens

The **ReplacementTokens** command retrieves all @lab replacement tokens available for a particular lab instance.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parameterslabInstanceIdinteger (int64) Required

The ID of the lab instance.

Example1286841

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='bd5c7b4e-1748-4236-a69a-37943235efc9'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='8fae1e72-5e1e-4491-b520-911a52e07e9d'>Example of retrieving all @lab replacement tokens avail...</option>
</select>Example of retrieving all @lab replacement tokens available for a particular lab instance

```json
{
  "ReplacementTokens": [
    {
      "Token": "@lab.VirtualMachine(machine1).Username",
      "Replacement": "user1"
    },
    {
      "Token": "@lab.VirtualMachine(machine1).Password",
      "Replacement": "h&4Fa?)C3/eQ;)?E"
    },
    {
      "Token": "@lab.VirtualMachine(machine2).Username",
      "Replacement": "user1"
    },
    {
      "Token": "@lab.VirtualMachine(machine2).Password",
      "Replacement": "LXM(#(Z^Hw4Upp>f"
    },
    {
      "Token": "@lab.LabInstance.Id",
      "Replacement": "15167595"
    },
    {
      "Token": "@lab.LabInstance.GlobalId",
      "Replacement": "lod15167595"
    },
    {
      "Token": "@lab.LabInstance.StartDate",
      "Replacement": "20190809"
    },
    {
      "Token": "@lab.LabProfile.Id",
      "Replacement": "1581178"
    },
    {
      "Token": "@lab.User.Id",
      "Replacement": "11832814"
    },
    {
      "Token": "@lab.User.FirstName",
      "Replacement": "John "
    },
    {
      "Token": "@lab.User.LastName",
      "Replacement": "Doe"
    },
    {
      "Token": "@lab.User.Email",
      "Replacement": "john.doe@sample.net"
    }
  ],
  "Error": null,
  "Status": 1
}
```

Expand Allobject  ReplacementTokens Array of object   

Array of ReplacementToken objects.

object  Tokenstring    

The token name.

Replacementstring    

The replacement value for the token.

Errorstring   | null  

In the event of an error, this will contain a detailed error message.

Statusinteger  (int32)    

Indicates the status of the API request. 0 = Error 1 = Success
